/*
Copyright (c) 2010, Dirk Krause
All rights reserved.

Redistribution and use in source and binary forms,
with or without modification, are permitted provided
that the following conditions are met:

* Redistributions of source code must retain the above
  copyright notice, this list of conditions and the
  following disclaimer.
* Redistributions in binary form must reproduce the above 
  opyright notice, this list of conditions and the following
  disclaimer in the documentation and/or other materials
  provided with the distribution.
* Neither the name of the Dirk Krause nor the names of
  contributors may be used to endorse or promote
  products derived from this software without specific
  prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED.
IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
DAMAGE.
*/

#ifndef DKDIRCFG_H_INCLUDED
#define DKDIRCFG_H_INCLUDED

#if defined(WIN32) || defined(_WIN32) || (_MSC_VER >= 1100)

#ifdef SYSCONFDIR
#define DK_SYSCONFDIR SYSCONFDIR
#else
#ifdef PREFIX
#define DK_SYSCONFDIR PREFIX "\\ETC"
#else
#define DK_SYSCONFDIR "C:\\ETC"
#endif
#endif

#ifdef LOCALSTATEDIR
#define DK_LOCALSTATEDIR LOCALSTATEDIR
#else
#ifdef PREFIX
#define DK_LOCALSTATEDIR PREFIX "\\VAR"
#else
#define DK_LOCALSTATEDIR "C:\\TEMP"
#endif
#endif

#ifdef LIBDIR
#define DK_LIBDIR LIBDIR
#else
#ifdef PREFIX
#define DK_LIBDIR PREFIX "\\LIB"
#else
#define DK_LIBDIR "C:\\LIB"
#endif
#endif

#ifdef INCLUDEDIR
#define DK_INCLUDEDIR INCLUDEDIR
#else
#ifdef PREFIX
#define DK_INCLUDEDIR PREFIX "\\INCLUDE"
#else
#define DK_INCLUDEDIR "C:\\INCLUDE"
#endif
#endif

#ifdef DATADIR
#define DK_DATADIR DATADIR
#else
#ifdef PREFIX
#define DK_DATADIR PREFIX "\\SHARE"
#else
#define DK_DATADIR "C:\\SHARE"
#endif
#endif

#else

#define DK_SYSCONFDIR "/etc"

#define DK_LOCALSTATEDIR "/var"

#define DK_LIBDIR "/usr/lib64"

#define DK_INCLUDEDIR "/usr/include"

#define DK_DATADIR "/usr/share"

#endif
#endif

